1. Registry
  2. Packages
  3. Databricks Provider
  4. API Docs
  5. getAiGatewayMcpService
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
databricks logo databricks logo
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi

    GA

    API Documentation

    Retrieves a Unity Catalog MCP service by its full resource name.

    Example Usage

    The following example retrieves the MCP service named knowledgeTools from the main.default schema:

    import * as pulumi from "@pulumi/pulumi";
    import * as databricks from "@pulumi/databricks";
    
    const example = databricks.getAiGatewayMcpService({
        name: "mcp-services/main.default.knowledge_tools",
    });
    export const mcpServiceConfig = example.then(example => example.config);
    
    import pulumi
    import pulumi_databricks as databricks
    
    example = databricks.get_ai_gateway_mcp_service(name="mcp-services/main.default.knowledge_tools")
    pulumi.export("mcpServiceConfig", example.config)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		example, err := databricks.GetAiGatewayMcpService(ctx, &databricks.LookupAiGatewayMcpServiceArgs{
    			Name: "mcp-services/main.default.knowledge_tools",
    		}, nil)
    		if err != nil {
    			return err
    		}
    		ctx.Export("mcpServiceConfig", example.Config)
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Databricks = Pulumi.Databricks;
    
    return await Deployment.RunAsync(() => 
    {
        var example = Databricks.GetAiGatewayMcpService.Invoke(new()
        {
            Name = "mcp-services/main.default.knowledge_tools",
        });
    
        return new Dictionary<string, object?>
        {
            ["mcpServiceConfig"] = example.Apply(getAiGatewayMcpServiceResult => getAiGatewayMcpServiceResult.Config),
        };
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.databricks.DatabricksFunctions;
    import com.pulumi.databricks.inputs.GetAiGatewayMcpServiceArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var example = DatabricksFunctions.getAiGatewayMcpService(GetAiGatewayMcpServiceArgs.builder()
                .name("mcp-services/main.default.knowledge_tools")
                .build());
    
            ctx.export("mcpServiceConfig", example.config());
        }
    }
    
    variables:
      example:
        fn::invoke:
          function: databricks:getAiGatewayMcpService
          arguments:
            name: mcp-services/main.default.knowledge_tools
    outputs:
      mcpServiceConfig: ${example.config}
    
    terraform {
      required_providers {
        databricks = {
          source = "pulumi/databricks"
        }
      }
    }
    
    data "databricks_ai_gateway_mcp_service" "example" {
      name = "mcp-services/main.default.knowledge_tools"
    }
    
    output "mcpServiceConfig" {
      value = data.databricks_ai_gateway_mcp_service.example.config
    }
    

    Using getAiGatewayMcpService

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getAiGatewayMcpService(args: GetAiGatewayMcpServiceArgs, opts?: InvokeOptions): Promise<GetAiGatewayMcpServiceResult>
    function getAiGatewayMcpServiceOutput(args: GetAiGatewayMcpServiceOutputArgs, opts?: InvokeOutputOptions): Output<GetAiGatewayMcpServiceResult>
    def get_ai_gateway_mcp_service(name: Optional[str] = None,
                                   provider_config: Optional[GetAiGatewayMcpServiceProviderConfig] = None,
                                   opts: Optional[InvokeOptions] = None) -> GetAiGatewayMcpServiceResult
    def get_ai_gateway_mcp_service_output(name: pulumi.Input[Optional[str]] = None,
                                   provider_config: pulumi.Input[Optional[GetAiGatewayMcpServiceProviderConfigArgs]] = None,
                                   opts: Optional[InvokeOutputOptions] = None) -> Output[GetAiGatewayMcpServiceResult]
    func LookupAiGatewayMcpService(ctx *Context, args *LookupAiGatewayMcpServiceArgs, opts ...InvokeOption) (*LookupAiGatewayMcpServiceResult, error)
    func LookupAiGatewayMcpServiceOutput(ctx *Context, args *LookupAiGatewayMcpServiceOutputArgs, opts ...InvokeOption) LookupAiGatewayMcpServiceResultOutput

    > Note: This function is named LookupAiGatewayMcpService in the Go SDK.

    public static class GetAiGatewayMcpService 
    {
        public static Task<GetAiGatewayMcpServiceResult> InvokeAsync(GetAiGatewayMcpServiceArgs args, InvokeOptions? opts = null)
        public static Output<GetAiGatewayMcpServiceResult> Invoke(GetAiGatewayMcpServiceInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetAiGatewayMcpServiceResult> Invoke(GetAiGatewayMcpServiceInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetAiGatewayMcpServiceResult> getAiGatewayMcpService(GetAiGatewayMcpServiceArgs args, InvokeOptions options)
    public static Output<GetAiGatewayMcpServiceResult> getAiGatewayMcpService(GetAiGatewayMcpServiceArgs args, InvokeOptions options)
    public static Output<GetAiGatewayMcpServiceResult> getAiGatewayMcpService(GetAiGatewayMcpServiceArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: databricks:index/getAiGatewayMcpService:getAiGatewayMcpService
      arguments:
        # arguments dictionary
    data "databricks_get_ai_gateway_mcp_service" "name" {
        # arguments
    }

    The following arguments are supported:

    Name string
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    ProviderConfig GetAiGatewayMcpServiceProviderConfig
    Configure the provider for management through account provider.
    Name string
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    ProviderConfig GetAiGatewayMcpServiceProviderConfig
    Configure the provider for management through account provider.
    name string
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    provider_config object
    Configure the provider for management through account provider.
    name String
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    providerConfig GetAiGatewayMcpServiceProviderConfig
    Configure the provider for management through account provider.
    name string
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    providerConfig GetAiGatewayMcpServiceProviderConfig
    Configure the provider for management through account provider.
    name str
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    provider_config GetAiGatewayMcpServiceProviderConfig
    Configure the provider for management through account provider.
    name String
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    providerConfig Property Map
    Configure the provider for management through account provider.

    getAiGatewayMcpService Result

    The following output properties are available:

    Comment string
    (string) - User-provided description
    Config GetAiGatewayMcpServiceConfig
    (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    CreateTime string
    (string) - Time the MCP service was created
    CreatedBy string
    (string) - Creator identity
    EffectiveOwner string
    (string) - Owner of the MCP service
    Etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    MetastoreId string
    (string) - Metastore hosting the MCP service
    Name string
    (string) - Resource name of the Unity Catalog connection used to access the MCP server, in the form connections/{catalog}.{schema}.{connection}
    UpdateTime string
    (string) - Time the MCP service was last modified
    UpdatedBy string
    (string) - Identity of the last updater
    ProviderConfig GetAiGatewayMcpServiceProviderConfig
    Comment string
    (string) - User-provided description
    Config GetAiGatewayMcpServiceConfig
    (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    CreateTime string
    (string) - Time the MCP service was created
    CreatedBy string
    (string) - Creator identity
    EffectiveOwner string
    (string) - Owner of the MCP service
    Etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    MetastoreId string
    (string) - Metastore hosting the MCP service
    Name string
    (string) - Resource name of the Unity Catalog connection used to access the MCP server, in the form connections/{catalog}.{schema}.{connection}
    UpdateTime string
    (string) - Time the MCP service was last modified
    UpdatedBy string
    (string) - Identity of the last updater
    ProviderConfig GetAiGatewayMcpServiceProviderConfig
    comment string
    (string) - User-provided description
    config object
    (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    create_time string
    (string) - Time the MCP service was created
    created_by string
    (string) - Creator identity
    effective_owner string
    (string) - Owner of the MCP service
    etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastore_id string
    (string) - Metastore hosting the MCP service
    name string
    (string) - Resource name of the Unity Catalog connection used to access the MCP server, in the form connections/{catalog}.{schema}.{connection}
    update_time string
    (string) - Time the MCP service was last modified
    updated_by string
    (string) - Identity of the last updater
    provider_config object
    comment String
    (string) - User-provided description
    config GetAiGatewayMcpServiceConfig
    (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime String
    (string) - Time the MCP service was created
    createdBy String
    (string) - Creator identity
    effectiveOwner String
    (string) - Owner of the MCP service
    etag String
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId String
    (string) - Metastore hosting the MCP service
    name String
    (string) - Resource name of the Unity Catalog connection used to access the MCP server, in the form connections/{catalog}.{schema}.{connection}
    updateTime String
    (string) - Time the MCP service was last modified
    updatedBy String
    (string) - Identity of the last updater
    providerConfig GetAiGatewayMcpServiceProviderConfig
    comment string
    (string) - User-provided description
    config GetAiGatewayMcpServiceConfig
    (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime string
    (string) - Time the MCP service was created
    createdBy string
    (string) - Creator identity
    effectiveOwner string
    (string) - Owner of the MCP service
    etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId string
    (string) - Metastore hosting the MCP service
    name string
    (string) - Resource name of the Unity Catalog connection used to access the MCP server, in the form connections/{catalog}.{schema}.{connection}
    updateTime string
    (string) - Time the MCP service was last modified
    updatedBy string
    (string) - Identity of the last updater
    providerConfig GetAiGatewayMcpServiceProviderConfig
    comment str
    (string) - User-provided description
    config GetAiGatewayMcpServiceConfig
    (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    create_time str
    (string) - Time the MCP service was created
    created_by str
    (string) - Creator identity
    effective_owner str
    (string) - Owner of the MCP service
    etag str
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastore_id str
    (string) - Metastore hosting the MCP service
    name str
    (string) - Resource name of the Unity Catalog connection used to access the MCP server, in the form connections/{catalog}.{schema}.{connection}
    update_time str
    (string) - Time the MCP service was last modified
    updated_by str
    (string) - Identity of the last updater
    provider_config GetAiGatewayMcpServiceProviderConfig
    comment String
    (string) - User-provided description
    config Property Map
    (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime String
    (string) - Time the MCP service was created
    createdBy String
    (string) - Creator identity
    effectiveOwner String
    (string) - Owner of the MCP service
    etag String
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId String
    (string) - Metastore hosting the MCP service
    name String
    (string) - Resource name of the Unity Catalog connection used to access the MCP server, in the form connections/{catalog}.{schema}.{connection}
    updateTime String
    (string) - Time the MCP service was last modified
    updatedBy String
    (string) - Identity of the last updater
    providerConfig Property Map

    Supporting Types

    GetAiGatewayMcpServiceConfig

    IncludeToolSelectors List<string>
    (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact tool names or prefix patterns such as read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters
    RateLimits List<GetAiGatewayMcpServiceConfigRateLimit>
    (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
    SourceConnection GetAiGatewayMcpServiceConfigSourceConnection
    (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
    IncludeToolSelectors []string
    (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact tool names or prefix patterns such as read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters
    RateLimits []GetAiGatewayMcpServiceConfigRateLimit
    (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
    SourceConnection GetAiGatewayMcpServiceConfigSourceConnection
    (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
    include_tool_selectors list(string)
    (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact tool names or prefix patterns such as read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters
    rate_limits list(object)
    (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
    source_connection object
    (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
    includeToolSelectors List<String>
    (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact tool names or prefix patterns such as read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters
    rateLimits List<GetAiGatewayMcpServiceConfigRateLimit>
    (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
    sourceConnection GetAiGatewayMcpServiceConfigSourceConnection
    (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
    includeToolSelectors string[]
    (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact tool names or prefix patterns such as read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters
    rateLimits GetAiGatewayMcpServiceConfigRateLimit[]
    (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
    sourceConnection GetAiGatewayMcpServiceConfigSourceConnection
    (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
    include_tool_selectors Sequence[str]
    (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact tool names or prefix patterns such as read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters
    rate_limits Sequence[GetAiGatewayMcpServiceConfigRateLimit]
    (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
    source_connection GetAiGatewayMcpServiceConfigSourceConnection
    (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
    includeToolSelectors List<String>
    (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact tool names or prefix patterns such as read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters
    rateLimits List<Property Map>
    (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
    sourceConnection Property Map
    (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create

    GetAiGatewayMcpServiceConfigRateLimit

    Key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    RenewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    Principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    Requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    Tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    Key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    RenewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    Principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    Requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    Tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewal_period string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key String
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod String
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal String
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests Integer
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens Integer
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key str
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewal_period str
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal str
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key String
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod String
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal String
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests Number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens Number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests

    GetAiGatewayMcpServiceConfigSourceConnection

    IsDeleted bool
    (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
    Name string
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    Options Dictionary<string, string>
    (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it includes: authorizationEndpoint (OAuth authorize URL), tokenEndpoint (token-exchange URL), oauthScope (space-separated scopes to request), clientId (OAuth client id), and oauthProvider (the OAuth provider)
    IsDeleted bool
    (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
    Name string
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    Options map[string]string
    (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it includes: authorizationEndpoint (OAuth authorize URL), tokenEndpoint (token-exchange URL), oauthScope (space-separated scopes to request), clientId (OAuth client id), and oauthProvider (the OAuth provider)
    is_deleted bool
    (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
    name string
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    options map(string)
    (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it includes: authorizationEndpoint (OAuth authorize URL), tokenEndpoint (token-exchange URL), oauthScope (space-separated scopes to request), clientId (OAuth client id), and oauthProvider (the OAuth provider)
    isDeleted Boolean
    (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
    name String
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    options Map<String,String>
    (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it includes: authorizationEndpoint (OAuth authorize URL), tokenEndpoint (token-exchange URL), oauthScope (space-separated scopes to request), clientId (OAuth client id), and oauthProvider (the OAuth provider)
    isDeleted boolean
    (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
    name string
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    options {[key: string]: string}
    (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it includes: authorizationEndpoint (OAuth authorize URL), tokenEndpoint (token-exchange URL), oauthScope (space-separated scopes to request), clientId (OAuth client id), and oauthProvider (the OAuth provider)
    is_deleted bool
    (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
    name str
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    options Mapping[str, str]
    (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it includes: authorizationEndpoint (OAuth authorize URL), tokenEndpoint (token-exchange URL), oauthScope (space-separated scopes to request), clientId (OAuth client id), and oauthProvider (the OAuth provider)
    isDeleted Boolean
    (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
    name String
    Resource name of the MCP service. Format: mcp-services/{catalog}.{schema}.{mcp_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + mcpServiceId; required and immutable on Update/Get/Delete
    options Map<String>
    (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it includes: authorizationEndpoint (OAuth authorize URL), tokenEndpoint (token-exchange URL), oauthScope (space-separated scopes to request), clientId (OAuth client id), and oauthProvider (the OAuth provider)

    GetAiGatewayMcpServiceProviderConfig

    WorkspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    WorkspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspace_id string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId String
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspace_id str
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId String
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.

    Package Details

    Repository
    databricks pulumi/pulumi-databricks
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the databricks Terraform Provider.
    databricks logo databricks logo
    Viewing docs for Databricks v1.116.0
    published on Tuesday, Oct 20, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial